#!/bin/bash

. whipdialog.sh

ELIGIBLE_PYTHONS='2.7 3.5 3.6 3.7 3.8'

CANDIDATE_PYTHONS=""
PYTHONS_FOUND=0
for A_PYTHON in $ELIGIBLE_PYTHONS; do
    CANDIDATE=`which python$A_PYTHON`
    if [ $? -eq 0 ]; then
        PYTHONS_FOUND=$(( PYTHONS_FOUND + 1 ))
        if [ "X$CANDIDATE_PYTHONS" != "X" ]; then
            CANDIDATE_PYTHONS="$CANDIDATE_PYTHONS#$CANDIDATE"
        else
            CANDIDATE_PYTHONS="$CANDIDATE"
        fi
    fi
done

if [ $PYTHONS_FOUND -eq 1 ]; then
    MENU=$CANDIDATE_PYTHONS
fi
if [ $PYTHONS_FOUND -gt 1 ]; then
    if ! WHIPTAIL --title="Python Menu" --menu "Pick a snake" --choices="$CANDIDATE_PYTHONS"; then
        exit 0
    fi
    MENU=$WHIPTAIL_RESULT
fi
    
echo
echo "X${MENU}X"

